Get aggregate sea-time totals
curl --request GET \
--url https://api.digitalseaservice.com/v1/me/sea-time \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.digitalseaservice.com/v1/me/sea-time"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.digitalseaservice.com/v1/me/sea-time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"by_role": [
{
"days": 320,
"role": "Deckhand"
},
{
"days": 480,
"role": "Bosun"
},
{
"days": 1042,
"role": "Mate"
}
],
"record_updated_at": "2026-05-22T14:21:00Z",
"totals": {
"days_at_sea": 1842,
"nautical_miles": 87423,
"vessels_served": 14,
"years_active": 6.2
},
"user_id": "65a1f0e2c3b4d5e6f7a8b9c0",
"verified": {
"days_at_sea": 1680,
"nautical_miles": 79215
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}sea-time
Get aggregate sea-time totals
GET
/
v1
/
me
/
sea-time
Get aggregate sea-time totals
Authorizations
oauth2bearerAuth
OAuth 2.0 Authorization Code flow with PKCE. See the integration guide at docs.digitalseaservice.com for the full step-by-step.
Response
Successful Response
Aggregate sea-time totals for the authenticated user.
Crew-declared aggregate sea time.
Show child attributes
Show child attributes
Example:
{
"days_at_sea": 1842,
"nautical_miles": 87423,
"vessels_served": 14,
"years_active": 6.2
}
Independently confirmed subset of the declared totals.
Show child attributes
Show child attributes
Example:
{
"days_at_sea": 1680,
"nautical_miles": 79215
}
Show child attributes
Show child attributes

